%global commit      1c53af9a0d3b622af5a62d69ddfc141c841a28c1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date        20191207

Name:           vim-gitgutter
Version:        0
Release:        2.%{date}git%{shortcommit}%{?dist}
Summary:        Shows a git diff in the gutter and stages/undoes hunks and partial hunks

License:        MIT
URL:            https://github.com/airblade/vim-gitgutter
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz
Source1:        %{name}.metainfo.xml
BuildArch:      noarch

BuildRequires:  libappstream-glib
BuildRequires:  vim-filesystem
Requires:       vim-enhanced

%description
A Vim plugin which shows a git diff in the 'gutter' (sign column). It shows
which lines have been added, modified, or removed. You can also preview, stage,
and undo individual hunks; and stage partial hunks. The plugin also provides a
hunk text object.

The signs are always up to date and the plugin never saves your buffer.


%prep
%autosetup -n %{name}-%{commit} -p1


%install
mkdir -p                            %{buildroot}%{vimfiles_root}
cp -r {autoload,plugin,unplace.vim} %{buildroot}%{vimfiles_root}
install -m 0644 -Dp %{SOURCE1}      %{buildroot}%{_metainfodir}/%{name}.metainfo.xml


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%license LICENCE
%doc README.mkd doc/* test
%{vimfiles_root}/autoload/*
%{vimfiles_root}/plugin/*
%{vimfiles_root}/unplace.vim
%{_metainfodir}/*.xml


%changelog
* Sat Dec 07 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-2.20191207git1c53af9
- Update to latest git snapshot

* Thu Oct 17 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-2.20191015git5c73edb
- Update to latest git snapshot

* Thu Oct 03 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0-1.20191001git1725c13
- Initial package
